## imcode.server
Class DocumentRequest

    java.lang.Object
      imcode.server.DocumentRequest

All Implemented Interfaces:
  java.lang.Cloneable

    public class DocumentRequest

extends java.lang.Object
implements java.lang.Cloneable

This class exists to store data about requests for documents in.

Constructor Summary
`DocumentRequest(ImcmsServices serverObject, UserDomainObject user, DocumentDomainObject document, DocumentDomainObject referrer, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse)`

Method Summary
`java.lang.Object` `clone()`
`DocumentDomainObject` `getDocument()`
`java.lang.String[]` `getEmphasize()`
`javax.servlet.http.HttpServletRequest` `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` `getHttpServletResponse()`
`DocumentDomainObject` `getReferrer()`
`Revisits` `getRevisits()`
`ImcmsServices` `getServices()`
`UserDomainObject` `getUser()`
`void` `setDocument(DocumentDomainObject document)`
`void` `setEmphasize(java.lang.String[] emphasize)`
`void` `setReferrer(DocumentDomainObject referrer)`
`void` `setRevisits(Revisits revisits)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentRequest

    public DocumentRequest(ImcmsServices serverObject,
                           UserDomainObject user,
                           DocumentDomainObject document,
                           DocumentDomainObject referrer,
                           javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getServices

    public ImcmsServices getServices()

### setRevisits

    public void setRevisits(Revisits revisits)

### getRevisits

    public Revisits getRevisits()

### getUser

    public UserDomainObject getUser()

### getDocument

    public DocumentDomainObject getDocument()

### getReferrer

    public DocumentDomainObject getReferrer()

### setDocument

    public void setDocument(DocumentDomainObject document)

### setReferrer

    public void setReferrer(DocumentDomainObject referrer)

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

### getEmphasize

    public java.lang.String[] getEmphasize()

### setEmphasize

    public void setEmphasize(java.lang.String[] emphasize)

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()